Subject: bug#28834: closed (Re: bug#28834: 25.1; dired-do-copy: allow to copy into a nonexistent directory)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 21 Oct 2017 04:14:02 +0000

Your bug report

#28834: 25.1; dired-do-copy: allow to copy into a nonexistent directory

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28834: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28834
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#28834: 25.1; dired-do-copy: allow to copy into a nonexistent directory
From: Tino Calancha <[email-masked]>
To: [email-masked]
Date: Sat, 21 Oct 2017 13:13:34 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Tino Calancha <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Tue, 17 Oct 2017 13:49:34 +0900
>> 
>> * I have changed the new function name to `dired-maybe-create-dirs'
>>   as Drew suggested.
>> * I think I have addressed all your comments as well.
>
> Thanks, this LGTM.
Added feature into master branch as commit
"Allow to copy/rename file into a non-existent dir"
(cb29f41624e5163a0aea4bfc98591e683807a2f8)

Subject: 25.1; Dired+ not copy file to nonexistent directory.
From: "alexei28" <[email-masked]>
To: <[email-masked]>
Date: Sat, 14 Oct 2017 13:54:45 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

Windows 10, Emacs 25.1, Dired+

I want to copy file from "d:/TEMP/test/test.txt" to nonexistent directory
"d:/TEMP/test/new/" in tby package Dired+

My steps in Dired+ buffer:

1. Run command "split-window-vertically"

2. In top and bottom buffers has directory "d:/TEMP/test/"

3. Press "Shift c" (copy file)

4. In minibuffer show message: "Copy text.txt to : d:/TEMP/test/"

5. I replace target path by: "d:/TEMP/test/new/test.txt" and press return

6. I get the next error message:

Copy 'd:/TEMP/test/test.txt' to 'd:/TEMP/test/new/test.txt' failed:

(file-error Copying file Operation not permitted d:/TEMP/test/test.txt
d:/TEMP/test/new/test.txt)

It would be good if Emacs can autocreate not exist directory when copy/move
files.

Thank you.

Alex